Phar::isFileFormat
Phar::isWritable
Phar
PHP Manual

# Phar::isValidPharFilename

(PHP >= 5.3.0, PECL phar >= 1.2.0)

Phar::isValidPharFilename — Returns whether the given filename is a valid phar filename

### Description

final public static bool Phar::isValidPharFilename ( string `$filename` [, bool `$executable` = true ] )

Returns whether the given filename is a valid phar filename that will be recognized as a phar archive by the phar extension. This can be used to test a name without having to instantiate a phar archive and catch the inevitable Exception that will be thrown if an invalid name is specified.

### Parameters

`filename`

  The name or full path to a phar archive not yet created

`executable`

  This parameter determines whether the filename should be treated as a phar executable archive, or a data non-executable archive

### Return Values

Returns `TRUE` if the filename is valid, `FALSE` if not.

Phar::isFileFormat
Phar::isWritable
Phar
PHP Manual